Summary: Unichrome via_drv X-Windows driver for Via Unichrome chipsets
Name: xorg-x11-via_drv
Version: %{version}
Release: %{release}
Vendor: beam
Epoch: 1
License: GPL
Group: Drivers
#BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRoot: /src/homeSys/devel/Xorg/install_root

%description
The via_drv package provides an X-Windows driver for Via Unichrome chipsets

%post
if [ -e /usr/X11R6/lib/modules/drivers/via_drv.o ]; then
	mv /usr/X11R6/lib/modules/drivers/via_drv.o /usr/X11R6/lib/modules/drivers/via_orig_drv.o
fi
ln -s via_unichrome_drv.o /usr/X11R6/lib/modules/drivers/via_drv.o

%postun
rm -f /usr/X11R6/lib/modules/drivers/via_drv.o
if [ -e /usr/X11R6/lib/modules/drivers/via_orig_drv.o ];then
	mv /usr/X11R6/lib/modules/drivers/via_orig_drv.o /usr/X11R6/lib/modules/drivers/via_drv.o
fi

%files
%defattr(-,root,root,-)
%attr(0755,root,root)
/usr/X11R6/lib/modules/drivers/via_unichrome_drv.o
